petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetDMKSP

get read-only private DMKSP context from a DM

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMGetDMKSP(DM dm,DMKSP *kspdm)

Not Collective

### Input Argument

dm -DM to be used with KSP

### Output Argument

snesdm -private DMKSP context

### Notes

Use DMGetDMKSPWrite() if write access is needed. The DMKSPSetXXX API should be used wherever possible.

### See Also

DMGetDMKSPWrite()

### Level

developer

### Location

src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages